Subject: Re: bug#57102: 29.0.50; Peculiar file-name-split edge case

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 12 Aug 2022 17:59:49 +0200

Philip Kaludercic <[email-masked]> writes:

> How sensible is this in the first place?  Shouldn't it rather be
> something like
>
> (file-equal-p (apply #'file-name-concat (file-name-split filename)) filename)
>
> [ which is currently likewise not given ]
>
> Or to put it differently, who does the preceding empty string benefit if
> we ignore the condition mentioned in the docstring?  Are there any
> real-world use-cases?

You need to be able to tell (file-name-split "a/b") => ("a" "b") and
(file-name-split "/a/b") => ("" "a" "b") apart.